{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function center_window\r\ndeclare subroutine wo_daily_sched_comm2\r\n\r\n$INSERT REACTOR_EQUATES\r\n$INSERT REACT_READS_EQUATES\r\n$INSERT REACT_LL_EQUATES\r\n\r\nIF INDEX( CreateParam, 'CENTER', 1 ) THEN\r\n    void = Center_Window( @WINDOW )\r\nEND ELSE\r\n    Void = Set_Property( @WINDOW, 'VISIBLE', 1 )\r\nEND\r\n\r\nReactor = FIELD( CreateParam, '*CENTER', 1 )\r\n\r\nReactorRec = XLATE('REACTOR',Reactor,'','X')\r\nPickPlace  = ReactorRec<REACTOR_PICK_PLACE$>\r\n\r\n* Added 8/26/2015 JCH for Reactor Load Lock tracking *\r\n\r\nReactLLKey = ReactorRec<REACTOR_ACTIVE_LL_DISABLED$>\r\n\r\nReactLLDisabled = XLATE('REACT_LL',ReactLLKey,REACT_LL_DISABLED$,'X')\r\n\r\n\r\nBEGIN CASE\r\n\t\t\r\n\tCASE ReactLLDisabled = 'R'\r\n\t\tReactLLText = 'Right Load Lock Disabled'\r\n\t\t\r\n\tCASE ReactLLDisabled = 'L'\r\n\t\tReactLLText = 'Left Load Lock Disabled'\r\n\t\t\r\n\tCASE PickPlace = 1\r\n\t\tReactLLText = 'Pick and Place Enabled'\r\n\r\n\tCASE 1\r\n\t\tReactLLText = ''\r\n\r\nEND CASE\r\n\r\nvoid = Set_Property(@WINDOW:'.REACT_LL_STATUS','TEXT',ReactLLText)\r\n\r\n\r\n* End of Reactor LL tracking modification *\r\n\r\n\r\n*LastReadHrsDTM\t= ReactorRec<REACTOR_LAST_READ_HRS_DTM$>\r\nLastReadWfrsDTM\t= ReactorRec<REACTOR_LAST_READ_WFRS_DTM$>\r\n\r\n*LastReadHrs \t= XLATE('REACT_READS',Reactor:'*':LastReadHrsDTM,REACT_READS_HOURS$,'X')\r\nLastReadWfrs\t= XLATE('REACT_READS',Reactor:'*':LastReadWfrsDTM,REACT_READS_WAFER_CNT$,'X')\r\n\r\n*void = Set_Property(@WINDOW:'.LAST_HRS_READ','TEXT',OCONV(LastReadHrs,'MD0,'))\r\nvoid = Set_Property(@WINDOW:'.LAST_WFRS_READ','TEXT',OCONV(LastReadWfrs,'MD0,'))\r\n\r\n*void = Set_Property(@WINDOW:'.LAST_HRS_READ_DTM','TEXT',OCONV(LastReadHrsDTM,'DT4/^HS'))\r\nvoid = Set_Property(@WINDOW:'.LAST_WFRS_READ_DTM','TEXT',OCONV(LastReadWfrsDTM,'DT4/^HS'))\r\n\r\nTitle = Get_Property( @WINDOW, 'TEXT' )\r\n\r\nSWAP '#' WITH '#':Reactor in Title\r\n\r\nVoid = Set_Property( @WINDOW, 'TEXT', Title )\r\nVoid = Set_Property( @WINDOW, '@Reactor', Reactor )\r\n\r\nVoid = Set_Property(@WINDOW:'.RWL','TEXT','(':Reactor:')')\r\n\r\nWO_Daily_Sched_Comm2('FORM_CREATE')\r\nRETURN 1"
        }
    }
}